Subject: [webfinger] Comparison of URI-based link relation types?

From: Stephane Bortzmeyer <[email-masked]>
Date: Fri, 15 Mar 2013 12:04:54 -0400

draft-ietf-appsawg-webfinger-11.txt says:

> When the "rel" parameter is used and accepted, only the link
> relation types that match the link relation types provided via the
> "rel" parameter are included in the array of links returned in the
> JRD.

Link relation types can be simple strings (registered relation types)
but they can also be URIs. URI comparison is not simple (RFC 3986, section
6.2), so is it on purpose if there is no detail in the draft about the
matching algorithm to use?

---

From: Mike Jones <[email-masked]>
Date: Fri, 15 Mar 2013 16:28:14 +0000

I sure hope that what we do is use string equality with no transformations, case folding, etc.  And that we recommend that URNs use the spelling registered in the applicable IANA registry or other registry.

				-- Mike

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Stephane Bortzmeyer
Sent: Friday, March 15, 2013 9:05 AM
To: [email-masked]
Subject: [webfinger] Comparison of URI-based link relation types?

draft-ietf-appsawg-webfinger-11.txt says:

> When the "rel" parameter is used and accepted, only the link relation 
> types that match the link relation types provided via the "rel" 
> parameter are included in the array of links returned in the JRD.

Link relation types can be simple strings (registered relation types) but they can also be URIs. URI comparison is not simple (RFC 3986, section 6.2), so is it on purpose if there is no detail in the draft about the matching algorithm to use?
_______________________________________________
webfinger mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/webfinger

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Fri, 15 Mar 2013 12:43:12 -0400

On Fri, Mar 15, 2013 at 04:28:14PM +0000,
 Mike Jones <[email-masked]> wrote 
 a message of 25 lines which said:

> I sure hope that what we do is use string equality with no
> transformations, case folding, etc.  

If this is the case, I suggest to add a sentence:

URI comparison uses the "Simple String Comparison" algorithm of
section 6.2.1 of RFC 3986.

And be aware that it means that
rel="http://webfinger.example/rel/large%2Davatar" won't match
"http://webfinger.example/rel/large-avatar"

---

From: Mike Jones <[email-masked]>
Date: Fri, 15 Mar 2013 16:51:20 +0000

Sounds like the right choice to me...

-----Original Message-----
From: Stephane Bortzmeyer [mailto:[email-masked]] 
Sent: Friday, March 15, 2013 9:43 AM
To: Mike Jones
Cc: [email-masked]
Subject: Re: [webfinger] Comparison of URI-based link relation types?

URI comparison uses the "Simple String Comparison" algorithm of section 6.2.1 of RFC 3986.

And be aware that it means that
rel="http://webfinger.example/rel/large%2Davatar" won't match "http://webfinger.example/rel/large-avatar"

---

From: Nat Sakimura <[email-masked]>
Date: Sat, 16 Mar 2013 02:00:22 +0900

+1

2013/3/16 Mike Jones <[email-masked]>

> On Fri, Mar 15, 2013 at 04:28:14PM +0000,  Mike Jones <
> [email-masked]> wrote  a message of 25 lines which said:
>
> rel="http://webfinger.example/rel/large%2Davatar" won't match "
> http://webfinger.example/rel/large-avatar"

-- 
Nat Sakimura (=nat)
Chairman, OpenID Foundation
http://nat.sakimura.org/
@_nat_en

---

From: John Bradley <[email-masked]>
Date: Sun, 17 Mar 2013 17:20:58 -0400

+1